Index: for_developers/Sphinx/Makefile
===================================================================
--- for_developers/Sphinx/Makefile	(revision 41c9dbc9816a48a73dd439140ea7f56de10d8f43)
+++ for_developers/Sphinx/Makefile	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
@@ -7,5 +7,5 @@
 SPHINXPROJ    = flex_extract
 SOURCEDIR     = source
-BUILDDIR      = ../../documentation
+BUILDDIR      = ../../Documentation
 
 # Put it first so that "make" without argument is like "make help".
Index: for_developers/Sphinx/source/_files/CONTROLparameter.xls
===================================================================
--- for_developers/Sphinx/source/_files/CONTROLparameter.xls	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
+++ for_developers/Sphinx/source/_files/CONTROLparameter.xls	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
@@ -0,0 +1,1 @@
+../../../CONTROLparameter.xls
Index: for_developers/Sphinx/source/_files/InstallationParameter.xls
===================================================================
--- for_developers/Sphinx/source/_files/InstallationParameter.xls	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
+++ for_developers/Sphinx/source/_files/InstallationParameter.xls	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
@@ -0,0 +1,1 @@
+../../../InstallationParameter.xls
Index: for_developers/Sphinx/source/_files/SubmitParameters.xls
===================================================================
--- for_developers/Sphinx/source/_files/SubmitParameters.xls	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
+++ for_developers/Sphinx/source/_files/SubmitParameters.xls	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
@@ -0,0 +1,1 @@
+../../../SubmitParameters.xls
Index: for_developers/Sphinx/source/_files/packages.png
===================================================================
--- for_developers/Sphinx/source/_files/packages.png	(revision 41c9dbc9816a48a73dd439140ea7f56de10d8f43)
+++ for_developers/Sphinx/source/_files/packages.png	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
@@ -1,1 +1,1 @@
-../../../../for_developers/packages.png
+../../../packages.png
Index: for_developers/Sphinx/source/_static/python/hidden_code_block.py
===================================================================
--- for_developers/Sphinx/source/_static/python/hidden_code_block.py	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
+++ for_developers/Sphinx/source/_static/python/hidden_code_block.py	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
@@ -0,0 +1,127 @@
+"""Simple, inelegant Sphinx extension which adds a directive for a
+highlighted code-block that may be toggled hidden and shown in HTML.  
+This is possibly useful for teaching courses.
+
+The directive, like the standard code-block directive, takes
+a language argument and an optional linenos parameter.  The
+hidden-code-block adds starthidden and label as optional 
+parameters.
+
+Examples:
+
+.. hidden-code-block:: python
+    :starthidden: False
+
+    a = 10
+    b = a + 5
+
+.. hidden-code-block:: python
+    :label: --- SHOW/HIDE ---
+
+    x = 10
+    y = x + 5
+
+Thanks to http://www.javascriptkit.com/javatutors/dom3.shtml for 
+inspiration on the javascript.  
+
+Thanks to Milad 'animal' Fatenejad for suggesting this extension 
+in the first place.
+
+Written by Anthony 'el Scopz' Scopatz, January 2012.
+
+Released under the WTFPL (http://sam.zoy.org/wtfpl/).
+"""
+
+from docutils import nodes
+from docutils.parsers.rst import directives
+from sphinx.directives.code import CodeBlock
+
+HCB_COUNTER = 0
+
+js_showhide = """\
+<script type="text/javascript">
+    function showhide(element){
+        if (!document.getElementById)
+            return
+
+        if (element.style.display == "block")
+            element.style.display = "none"
+        else
+            element.style.display = "block"
+    };
+</script>
+"""
+
+def nice_bool(arg):
+    tvalues = ('true',  't', 'yes', 'y')
+    fvalues = ('false', 'f', 'no',  'n')
+    arg = directives.choice(arg, tvalues + fvalues)
+    return arg in tvalues
+
+
+class hidden_code_block(nodes.General, nodes.FixedTextElement):
+    pass
+
+
+class HiddenCodeBlock(CodeBlock):
+    """Hidden code block is Hidden"""
+
+    option_spec = dict(starthidden=nice_bool, 
+                       label=str,
+                       **CodeBlock.option_spec)
+
+    def run(self):
+        # Body of the method is more or less copied from CodeBlock
+        code = u'\n'.join(self.content)
+        hcb = hidden_code_block(code, code)
+        hcb['language'] = self.arguments[0]
+        hcb['linenos'] = 'linenos' in self.options
+        hcb['starthidden'] = self.options.get('starthidden', True)
+        hcb['label'] = self.options.get('label', '+ show/hide code')
+        hcb.line = self.lineno
+        return [hcb]
+
+
+def visit_hcb_html(self, node):
+    """Visit hidden code block"""
+    global HCB_COUNTER
+    HCB_COUNTER += 1
+
+    # We want to use the original highlighter so that we don't
+    # have to reimplement it.  However it raises a SkipNode 
+    # error at the end of the function call.  Thus we intercept
+    # it and raise it again later.
+    try: 
+        self.visit_literal_block(node)
+    except nodes.SkipNode:
+        pass
+
+    # The last element of the body should be the literal code 
+    # block that was just made.
+    code_block = self.body[-1]
+
+    fill_header = {'divname': 'hiddencodeblock{0}'.format(HCB_COUNTER), 
+                   'startdisplay': 'none' if node['starthidden'] else 'block', 
+                   'label': node.get('label'), 
+                   }
+
+    divheader = ("""<a href="javascript:showhide(document.getElementById('{divname}'))">"""
+                 """{label}</a><br />"""
+                 '''<div id="{divname}" style="display: {startdisplay}">'''
+                 ).format(**fill_header)
+
+    code_block = js_showhide + divheader + code_block + "</div>"
+
+    # reassign and exit
+    self.body[-1] = code_block
+    raise nodes.SkipNode
+
+
+def depart_hcb_html(self, node):
+    """Depart hidden code block"""
+    # Stub because of SkipNode in visit
+
+
+def setup(app):
+    app.add_directive('hidden-code-block', HiddenCodeBlock)
+    app.add_node(hidden_code_block, html=(visit_hcb_html, depart_hcb_html))
Index: for_developers/Sphinx/source/conf.py
===================================================================
--- for_developers/Sphinx/source/conf.py	(revision 41c9dbc9816a48a73dd439140ea7f56de10d8f43)
+++ for_developers/Sphinx/source/conf.py	(revision 0b0060763be4ba958df1a992d707fc4fe1efed3a)
@@ -14,10 +14,13 @@
 #
 import os
-import sys
-sys.path.insert(0, os.path.abspath('../../../source/python'))
-sys.path.insert(0, os.path.abspath('../../../source/python/mods'))
-sys.path.insert(0, os.path.abspath('../../../source/python/classes'))
-
-
+import sys, glob
+sys.path.insert(0, os.path.abspath('../../../Source/Python'))
+sys.path.insert(0, os.path.abspath('../../../Source/Python/Mods'))
+sys.path.insert(0, os.path.abspath('../../../Source/Python/Classes'))
+
+sys.path.insert(0, os.path.abspath('_static/python'))
+
+#fortran_src = [f for f in os.listdir('../../../source/fortran') if '.f90' in f or '.f' in f]
+#print(fortran_src)
 
 # -- Project information -----------------------------------------------------
@@ -52,8 +55,22 @@
     'sphinx.ext.viewcode',
     'sphinx.ext.githubpages',
-#    'sphinx_pyreverse',
     'sphinx-jsonschema',
-    'sphinx.ext.intersphinx'
-]
+    'sphinx.ext.intersphinx',
+    'hidden_code_block',
+    'sphinxcontrib.exceltable',
+    'sphinxcontrib.seqdiag',
+    'sphinxcontrib.blockdiag',
+    'sphinx.ext.todo',
+#    'sphinxfortran.fortran_autodoc',
+#    'sphinxfortran.fortran_domain'
+]
+
+
+# Fontpath for seqdiag (truetype font)
+seqdiag_fontpath = '/usr/share/fonts/dejavu/DejaVuSerif.ttf'
+
+# Fontpath for blockdiag (truetype font)
+blockdiag_fontpath = '/usr/share/fonts/dejavu/DejaVuSerif.ttf'
+
 
 # Add any paths that contain templates here, relative to this directory.
@@ -186,4 +203,5 @@
 # If true, `todo` and `todoList` produce output, else they produce nothing.
 todo_include_todos = True
+#todo_link_only = True
 
 
@@ -194,3 +212,2 @@
 
 
-
